* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
html, body {
    height: 100%;
    min-width: 200px;
}
body {
    font-family: Arial, sans-serif;
    overflow-y: auto;
    display: block;
    transition: background-color 0.3s, color 0.3s;
}
.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 400px;
    min-width: 200px;
    padding: 0px;
    text-align: center;
    margin: 0 auto;
}
h1 {
    margin-top: 30px;
    margin-bottom: 20px;
    padding: 10px 0;
    width: 100%;
    transition: color 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
#link-buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}
.button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80%;
    min-width: 160px;
    padding: 15px;
    font-size: 18px;
    color: white;
    border: none;
    border-radius: 5px;
    margin-bottom: 10px;
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    transition: background-color 0.3s ease;
    gap: 10px;
}
.material-icons, .material-symbols-outlined {
    font-size: 24px;
}
.button:hover {
    opacity: 0.8;
}
footer {
    width: 100%;
    max-width: 400px;
    min-width: 200px;
    padding: 10px 20px;
    text-align: center;
    font-size: 14px;
    margin: 0 auto 20px auto;
    transition: color 0.3s;
    align-items: center;
    justify-content: center;
    gap: 5px;
}
footer a {
    color: inherit;
    text-decoration: none;
    align-items: center;
    gap: 5px;
}
footer a:hover {
    text-decoration: underline;
}
body {
    background-color: white;
    color: #333;
}
h1 {
    color: #333;
}
footer {
    color: #555;
}
@media (prefers-color-scheme: dark) {
    body {
        background-color: #121212;
        color: #e0e0e0;
    }
    h1 {
        color: #e0e0e0;
    }
    footer {
        color: #b0b0b0;
    }
}
